/****************************************************************
KPIT Cummins Infosystems Ltd, Pune, India. - 10-Mar-2003.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*****************************************************************/

#include	"7144s.h"
#include	"define.h"

#define	ROM		3	// 0:MODE0	1:MODE1	2:MODE2	3:MODE3
//RAM̂	0xFFFFE000	.data section	ROM
//ORAMgp	0x00400000	.data section	ROMRAM	CS1

//		MD0		MD1
//		DSW1	DSW2
//		ON		ON		MCUg[h0(7144:8bit,7145:16bit)
//		OFF		ON		MCUg[h1(7144:16bit,7145:32bit)
//		ON		OFF		MCUg[h2(BSC BCR1 ɂݒ)
//		OFF		OFF		VO`bv[h


void hw_initialise (void) {
#if ROM == 3	//MCU MODE3(VO`bv[h)
///////////////////////////////////////////////////////////////////////////////////////////////////////
//			MCU MODE3(VO`bv[h)
//			DSW1:OFF DSW2:OFF
///////////////////////////////////////////////////////////////////////////////////////////////////////
	//--------------------------------------
	// oXXe[gRg[
	//--------------------------------------
	BSC.BCR1.WORD	= 0x2000;	// oXRg[WX^1	MTURWE=EN
//	0110 0000 0000 1111	BCR1	l
//	  +-------llll-llll--	BSC.BCR1.BIT.MTURWE		= 1;	// MTUWX^ANZX 0:֎~, *1:
//	          +lll-llll--	BSC.BCR1.BIT.A3LG		= 0;	// *0:~CS3 A3SZQ, 1:~CS3 32bit
//	           +ll-llll--	BSC.BCR1.BIT.A2LG		= 0;	// *0:~CS2 A2SZQ, 1:~CS2 32bit
//	            +l-llll--	BSC.BCR1.BIT.A1LG		= 0;	// *0:~CS1 A1SZQ, 1:~CS1 32bit
//	             +-llll--	BSC.BCR1.BIT.A0LG		= 0;	// *0:~CS0 A0SZQ, 1:~CS0 32bit
//	               +lll--	BSC.BCR1.BIT.A3SZ		= 0;	// 0:~CS3 8bit, *1:~CS3 16bit
//	                +ll--	BSC.BCR1.BIT.A2SZ		= 0;	// 0:~CS2 8bit, *1:~CS2 16bit
//	                 +l--	BSC.BCR1.BIT.A1SZ		= 0;	// 0:~CS1 8bit, *1:~CS1 16bit
//	                  +--	BSC.BCR1.BIT.A0SZ		= 0;	// 0:~CS0 8bit, *1:~CS0 16bit
	BSC.BCR2.WORD	= 0x0000;	// oXRg[WX^2
//	1111 1111 1111 1111	BCR2	l
//	++ll-llll-llll-llll--	BSC.BCR2.BIT.IW3		= 0;	// ~CS3ANZXAChTCN 0`*3
//	  ++-llll-llll-llll--	BSC.BCR2.BIT.IW2		= 0;	// ~CS2ANZXAChTCN 0`*3
//	     ++ll-llll-llll--	BSC.BCR2.BIT.IW1		= 0;	// ~CS1ANZXAChTCN 0`*3
//	       ++-llll-llll--	BSC.BCR2.BIT.IW0		= 0;	// ~CS0ANZXAChTCN 0`*3
//	          +lll-llll--	BSC.BCR2.BIT.CW3		= 0;	// ~CS3AANZXAChTCN 0`*1
//	           +ll-llll--	BSC.BCR2.BIT.CW2		= 0;	// ~CS2AANZXAChTCN 0`*1
//	            +l-llll--	BSC.BCR2.BIT.CW1		= 0;	// ~CS1AANZXAChTCN 0`*1
//	             +-llll--	BSC.BCR2.BIT.CW0		= 0;	// ~CS0AANZXAChTCN 0`*1
//	               +lll--	BSC.BCR2.BIT.SW3		= 0;	// ~CS3AT[gg 0:Ȃ, *1:
//	                +ll--	BSC.BCR2.BIT.SW2		= 0;	// ~CS2AT[gg 0:Ȃ, *1:
//	                 +l--	BSC.BCR2.BIT.SW1		= 0;	// ~CS1AT[gg 0:Ȃ, *1:
//	                  +--	BSC.BCR2.BIT.SW0		= 0;	// ~CS0AT[gg 0:Ȃ, *1:
	BSC.WCR1.WORD	= 0x0000;	// EFCgRg[WX^1
//	1111 1111 1111 1111	WCR1	l
//	++++-llll-llll-llll--	BSC.WCR1.BIT.W3			= 0;	// ~CS3ANZXEFCg 0`*15
//	     ++++-llll-llll--	BSC.WCR1.BIT.W2			= 0;	// ~CS2ANZXEFCg 0`*15
//	          ++++-llll--	BSC.WCR1.BIT.W1			= 0;	// ~CS1ANZXEFCg 0`*15
//	               ++++--	BSC.WCR1.BIT.W0			= 0;	// ~CS0ANZXEFCg 0`*15
	BSC.WCR2.WORD	= 0x000F;	// EFCgRg[WX^2
//	0000 0000 0000 1111	WCR2	l
//	               ++++--	BSC.WCR2.BIT.DSW		= 0;	// DMAVOAhX[hANZXEFCg 0`*15
	//--------------------------------------
	// st@NVRg[
	//--------------------------------------
#if CPU==7145
	PFC.PACRH.WORD	= 0x0000;	// |[gARg[WX^H
//	0000 0000 0000 0000	PACRH	l
//	 +-l--l-l-llll--lll--	PFC.PACRH.BIT.PA23MD	= 0;	// *0:PA23, 1:~WRHH
//	   +--l-l-llll--lll--	PFC.PACRH.BIT.PA22MD	= 0;	// *0:PA22, 1:~WRHL
//	      +-l-llll--lll--	PFC.PACRH.BIT.PA21MD	= 0;	// *0:PA21, 1:~CAS5
//	        +-llll--lll--	PFC.PACRH.BIT.PA20MD	= 0;	// *0:PA20, 1:~CAS4
//	          ++ll--lll--	PFC.PACRH.BIT.PA19MD	= 0;	// *0:PA19, 1:~BACK, 2:~DRAK1, 3:x
//	            ++--lll--	PFC.PACRH.BIT.PA18MD	= 0;	// *0:PA18, 1:~BREQ, 2:~DRAK0, 3:x
//	                +ll--	PFC.PACRH.BIT.PA17MD	= 0;	// *0:PA17, 1:~WAIT
//	                 ++--	PFC.PACRH.BIT.PA16MD	= 0;	// *0:PA16, 1:x, 2:x, 3:~AUDSYNC
#endif
	PFC.PACRL1.WORD	= 0x0000;	// |[gARg[WX^L1
//	0000 0000 0000 0000	PACRL1	l
//	 +-l--l-l--l-l-llll--	PFC.PACRL1.BIT.PA15MD	= 0;	// *0:PA15, 1:CK
//	   +--l-l--l-l-llll--	PFC.PACRL1.BIT.PA14MD	= 0;	// *0:PA14, 1:~RD
//	      +-l--l-l-llll--	PFC.PACRL1.BIT.PA13MD	= 0;	// *0:PA13, 1:~WRH
//	        +--l-l-llll--	PFC.PACRL1.BIT.PA12MD	= 0;	// *0:PA12, 1:~WRL
//	           +-l-llll--	PFC.PACRL1.BIT.PA11MD	= 0;	// *0:PA11, 1:~CS1
//	             +-llll--	PFC.PACRL1.BIT.PA10MD	= 0;	// *0:PA10, 1:~CS0
//	               ++ll--	PFC.PACRL1.BIT.PA9MD	= 0;	// *0:PA9, 1:TCLKD, 2:~IRQ3, 3:x
//	                 ++--	PFC.PACRL1.BIT.PA8MD	= 0;	// *0:PA8, 1:TCLKC, 2:~IRQ2, 3:x
	PFC.PACRL2.WORD	= 0x0145;	// |[gARg[WX^L2	SCI0,SCI1 EN
//	0000 0000 0000 0000	PACRL2	l
//	++ll-ll-l--lll--l-l--	PFC.PACRL2.BIT.PA7MD	= 0;	// *0:PA7, 1:TCLKB, 2:~CS3, 3:x
//	  ++-ll-l--lll--l-l--	PFC.PACRL2.BIT.PA6MD	= 0;	// *0:PA6, 1:TCLKA, 2:~CS2, 3:x
//	     ++-l--lll--l-l--	PFC.PACRL2.BIT.PA5MD	= 0;	// *0:PA5, 1:SCK1, 2:~DREQ1, 3:~IRQ1
//	        +--lll--l-l--	PFC.PACRL2.BIT.PA4MD	= 1;	// *0:PA4, 1:TXD1
//	           +ll--l-l--	PFC.PACRL2.BIT.PA3MD	= 1;	// *0:PA3, 1:RXD1
//	            ++--l-l--	PFC.PACRL2.BIT.PA2MD	= 0;	// *0:PA2, 1:SCK0, 2:~DREQ0, 3:~IRQ0
//	                +-l--	PFC.PACRL2.BIT.PA1MD	= 1;	// *0:PA1, 1:TXD0
//	                  +--	PFC.PACRL2.BIT.PA0MD	= 1;	// *0:PA0, 1:RXD0
	PFC.PBCR1.WORD	= 0x0000;	// |[gBRg[WX^1
//	0000 0000 0000 0000	PBCR1	l
//	     +l--------llll--	PFC.PBCR1.BIT.PB3MD		= 0;	//	}XNROMŃIvV
//	      +--------llll--	PFC.PBCR1.BIT.PB2MD		= 0;	//	}XNROMŃIvV
//	               ++ll--	PFC.PBCR1.BIT.PB9MD		= 0;	// *0:PB9, 1:~IRQ7, 2:A21, 3:~ADTRG
//	                 ++--	PFC.PBCR1.BIT.PB8MD		= 0;	// *0:PB8, 1:~IRQ6, 2;A20, 3:~WAIT
	PFC.PBCR2.WORD	= 0x0000;	// |[gBRg[WX^2
//	0000 0000 0000 0000	PBCR2	l
//	++ll-llll-llll--l-l--	PFC.PBCR2.BIT.PB7MD		= 0;	// *0:PB7, 1:~IRQ5, 2:A19, 3:~BREQ
//	  ++-llll-llll--l-l--	PFC.PBCR2.BIT.PB6MD		= 0;	// *0:PB6, 1:~IRQ4, 2:A18, 3:~BACK
//	     ++ll-llll--l-l--	PFC.PBCR2.BIT.PB5MD		= 0;	// *0:PB5, 1:~IRQ3, 2:~POE3, 3:~CS7
//	       ++-llll--l-l--	PFC.PBCR2.BIT.PB4MD		= 0;	// *0:PB4, 1:~IRQ2, 2:~POE2, 3:~CS6
//	          ++ll--l-l--	PFC.PBCR2.BIT.PB3MD		= 0;	// *0:PB3, 1:~IRQ1, 2:~POE1, 3:x, 4:SDA0, 5:x, 6:x, 7:x
//	            ++--l-l--	PFC.PBCR2.BIT.PB2MD		= 0;	// *0:PB2, 1:~IRQ0, 2:~POE0, 3:x, 4:SCL0, 5:x, 6:x, 7:x
//	                +-l--	PFC.PBCR2.BIT.PB1MD		= 0;	// *0:PB1, 1:A17
//	                  +--	PFC.PBCR2.BIT.PB0MD		= 0;	// *0:PB0, 1:A16
	PFC.PCCR.WORD	= 0x0000;	// |[gCRg[WX^
//	0000 0000 0000 0000	PCCR	l
//	+lll-llll-llll-llll--	PFC.PCCR.BIT.PC15MD		= 0;	// *0:PC15, 1:A15
//	 +ll-llll-llll-llll--	PFC.PCCR.BIT.PC14MD		= 0;	// *0:PC14, 1:A14
//	  +l-llll-llll-llll--	PFC.PCCR.BIT.PC13MD		= 0;	// *0:PC13, 1:A13
//	   +-llll-llll-llll--	PFC.PCCR.BIT.PC12MD		= 0;	// *0:PC12, 1:A12
//	     +lll-llll-llll--	PFC.PCCR.BIT.PC11MD		= 0;	// *0:PC11, 1:A11
//	      +ll-llll-llll--	PFC.PCCR.BIT.PC10MD		= 0;	// *0:PC10, 1:A10
//	       +l-llll-llll--	PFC.PCCR.BIT.PC9MD		= 0;	// *0:PC9, 1:A9
//	        +-llll-llll--	PFC.PCCR.BIT.PC8MD		= 0;	// *0:PC8, 1:A8
//	          +lll-llll--	PFC.PCCR.BIT.PC7MD		= 0;	// *0:PC7, 1:A7
//	           +ll-llll--	PFC.PCCR.BIT.PC6MD		= 0;	// *0:PC6, 1:A6
//	            +l-llll--	PFC.PCCR.BIT.PC5MD		= 0;	// *0:PC5, 1:A5
//	             +-llll--	PFC.PCCR.BIT.PC4MD		= 0;	// *0:PC4, 1:A4
//	               +lll--	PFC.PCCR.BIT.PC3MD		= 0;	// *0:PC3, 1:A3
//	                +ll--	PFC.PCCR.BIT.PC2MD		= 0;	// *0:PC2, 1:A2
//	                 +l--	PFC.PCCR.BIT.PC1MD		= 0;	// *0:PC1, 1:A1
//	                  +--	PFC.PCCR.BIT.PC0MD		= 0;	// *0:PC0, 1:A0
#if CPU==7145
	PFC.PDCRH1.WORD	= 0x0000;	// |[gDRg[WX^H1
//	0000 0000 0000 0000	PDCRH1	l
//	++ll-llll-llll-llll--	PFC.PDCRH1.BIT.PD31MD	= 0;	// *0:PD31, 1:D31, 2:~ADTRG, 3:x
//	  ++-llll-llll-llll--	PFC.PDCRH1.BIT.PD30MD	= 0;	// *0:PD30, 1:D30, 2:~IRQOUT, 3:x
//	     ++ll-llll-llll--	PFC.PDCRH1.BIT.PD29MD	= 0;	// *0:PD29, 1:D29, 2;~CS3, 3:x
//	       ++-llll-llll--	PFC.PDCRH1.BIT.PD28MD	= 0;	// *0:PD28, 1:D28, 2:~CS2, 3:x
//	          ++ll-llll--	PFC.PDCRH1.BIT.PD27MD	= 0;	// *0:PD27, 1:D27, 2:DACK1, 3:x
//	            ++-llll--	PFC.PDCRH1.BIT.PD26MD	= 0;	// *0:PD26, 1:D26, 2:DACK0, 3:x
//	               ++ll--	PFC.PDCRH1.BIT.PD25MD	= 0;	// *0:PD25, 1:D25, 2:~DREQ1, 3:x
//	                 ++--	PFC.PDCRH1.BIT.PD24MD	= 0;	// *0:PD24, 1:D24, 2:~DREQ0, 3:x
	PFC.PDCRH2.WORD	= 0x0000;	// |[gDRg[WX^H2
//	0000 0000 0000 0000	PDCRH2	l
//	++ll-llll-llll-llll--	PFC.PDCRH2.BIT.PD23MD	= 0;	// *0:PD23, 1:D23, 2:~IRQ7, 3:~AUDSYNC
//	  ++-llll-llll-llll--	PFC.PDCRH2.BIT.PD22MD	= 0;	// *0:PD22, 1:D22, 2:~IRQ6, 3:AUDCK
//	     ++ll-llll-llll--	PFC.PDCRH2.BIT.PD21MD	= 0;	// *0:PD21, 1:D21, 2:~IRQ5, 3:AUDMD
//	       ++-llll-llll--	PFC.PDCRH2.BIT.PD20MD	= 0;	// *0:PD20, 1:D20, 2:~IRQ4, 3:~AUDRST
//	          ++ll-llll--	PFC.PDCRH2.BIT.PD19MD	= 0;	// *0:PD19, 1:D19, 2:~IRQ3, 3:AUDATA3
//	            ++-llll--	PFC.PDCRH2.BIT.PD18MD	= 0;	// *0:PD18, 1:D18, 2:~IRQ2, 3:AUDATA2
//	               ++ll--	PFC.PDCRH2.BIT.PD17MD	= 0;	// *0:PD17, 1:D17, 2:~IRQ1, 3:AUDATA1
//	                 ++--	PFC.PDCRH2.BIT.PD16MD	= 0;	// *0:PD16, 1:D16, 2:~IRQ0, 3:AUDATA0
	PFC.PDCRL1.WORD	= 0x0000;	// |[gDRg[WX^L1(ʃrbg)
//	0000 0000 0000 0000	PDCRL1	l
//	+lll-llll-llll-llll--	PFC.PDCRL1.BIT.PD15MD	= 0;	// *0:PD15, 1:D15, 2:x, 3:x
//	 +ll-llll-llll-llll--	PFC.PDCRL1.BIT.PD14MD	= 0;	// *0:PD14, 1:D14, 2:x, 3:x
//	  +l-llll-llll-llll--	PFC.PDCRL1.BIT.PD13MD	= 0;	// *0:PD13, 1:D13, 2:x, 3:x
//	   +-llll-llll-llll--	PFC.PDCRL1.BIT.PD12MD	= 0;	// *0:PD12, 1:D12, 2:x, 3:x
//	     +lll-llll-llll--	PFC.PDCRL1.BIT.PD11MD	= 0;	// *0:PD11, 1:D11, 2:x, 3:x
//	      +ll-llll-llll--	PFC.PDCRL1.BIT.PD10MD	= 0;	// *0:PD10, 1:D10, 2:x, 3:x
//	       +l-llll-llll--	PFC.PDCRL1.BIT.PD9MD	= 0;	// *0:PD9, 1:D9, 2:x, 3:x
//	        +-llll-llll--	PFC.PDCRL1.BIT.PD8MD	= 0;	// *0:PD8, 1:D8, 2:x, 3:x
//	          +lll-llll--	PFC.PDCRL1.BIT.PD7MD	= 0;	// *0:PD7, 1:D7, 2:x, 3:x
//	           +ll-llll--	PFC.PDCRL1.BIT.PD6MD	= 0;	// *0:PD6, 1:D6, 2:x, 3:x
//	            +l-llll--	PFC.PDCRL1.BIT.PD5MD	= 0;	// *0:PD5, 1:D5, 2:x, 3:x
//	             +-llll--	PFC.PDCRL1.BIT.PD4MD	= 0;	// *0:PD4, 1:D4, 2:x, 3:x
//	               +lll--	PFC.PDCRL1.BIT.PD3MD	= 0;	// *0:PD3, 1:D3, 2:x, 3:x
//	                +ll--	PFC.PDCRL1.BIT.PD2MD	= 0;	// *0:PD2, 1:D2, 2:x, 3:x
//	                 +l--	PFC.PDCRL1.BIT.PD1MD	= 0;	// *0:PD1, 1:D1, 2:x, 3:x
//	                  +--	PFC.PDCRL1.BIT.PD0MD	= 0;	// *0:PD0, 1:D0, 2:x, 3:x
	PFC.PDCRL2.WORD	= 0x0000;	// |[gDRg[WX^L2(ʃrbg)
//	0000 0000 0000 0000	PDCRL2	l
//	+lll-llll-llll-llll--	PFC.PDCRL2.BIT.PD15MD	= 0;	// *0:PD15, 1:D15, 2:x, 3:x
//	 +ll-llll-llll-llll--	PFC.PDCRL2.BIT.PD14MD	= 0;	// *0:PD14, 1:D14, 2:x, 3:x
//	  +l-llll-llll-llll--	PFC.PDCRL2.BIT.PD13MD	= 0;	// *0:PD13, 1:D13, 2:x, 3:x
//	   +-llll-llll-llll--	PFC.PDCRL2.BIT.PD12MD	= 0;	// *0:PD12, 1:D12, 2:x, 3:x
//	     +lll-llll-llll--	PFC.PDCRL2.BIT.PD11MD	= 0;	// *0:PD11, 1:D11, 2:x, 3:x
//	      +ll-llll-llll--	PFC.PDCRL2.BIT.PD10MD	= 0;	// *0:PD10, 1:D10, 2:x, 3:x
//	       +l-llll-llll--	PFC.PDCRL2.BIT.PD9MD	= 0;	// *0:PD9, 1:D9, 2:x, 3:x
//	        +-llll-llll--	PFC.PDCRL2.BIT.PD8MD	= 0;	// *0:PD8, 1:D8, 2:x, 3:x
//	          +lll-llll--	PFC.PDCRL2.BIT.PD7MD	= 0;	// *0:PD7, 1:D7, 2:x, 3:x
//	           +ll-llll--	PFC.PDCRL2.BIT.PD6MD	= 0;	// *0:PD6, 1:D6, 2:x, 3:x
//	            +l-llll--	PFC.PDCRL2.BIT.PD5MD	= 0;	// *0:PD5, 1:D5, 2:x, 3:x
//	             +-llll--	PFC.PDCRL2.BIT.PD4MD	= 0;	// *0:PD4, 1:D4, 2:x, 3:x
//	               +lll--	PFC.PDCRL2.BIT.PD3MD	= 0;	// *0:PD3, 1:D3, 2:x, 3:x
//	                +ll--	PFC.PDCRL2.BIT.PD2MD	= 0;	// *0:PD2, 1:D2, 2:x, 3:x
//	                 +l--	PFC.PDCRL2.BIT.PD1MD	= 0;	// *0:PD1, 1:D1, 2:x, 3:x
//	                  +--	PFC.PDCRL2.BIT.PD0MD	= 0;	// *0:PD0, 1:D0, 2:x, 3:x
#else	//CPU==7144
	PFC.PDCRL1.WORD	= 0x0000;	// |[gDRg[WX^L1(ʃrbg)
//	0000 0000 0000 0000	PDCRL1	l
//	+lll-llll-llll-llll--	PFC.PDCRL1.BIT.PD15MD	= 0;	// *0:PD15, 1:D15, 2:~AUDSYNC, 3:x
//	 +ll-llll-llll-llll--	PFC.PDCRL1.BIT.PD14MD	= 0;	// *0:PD14, 1:D14, 2:AUDCK, 3:x
//	  +l-llll-llll-llll--	PFC.PDCRL1.BIT.PD13MD	= 0;	// *0:PD13, 1:D13, 2:AUDMD, 3:x
//	   +-llll-llll-llll--	PFC.PDCRL1.BIT.PD12MD	= 0;	// *0:PD12, 1:D12, 2:~AUDRST, 3:x
//	     +lll-llll-llll--	PFC.PDCRL1.BIT.PD11MD	= 0;	// *0:PD11, 1:D11, 2:AUDATA3, 3:x
//	      +ll-llll-llll--	PFC.PDCRL1.BIT.PD10MD	= 0;	// *0:PD10, 1:D10, 2:AUDATA2, 3:x
//	       +l-llll-llll--	PFC.PDCRL1.BIT.PD9MD	= 0;	// *0:PD9, 1:D9, 2:AUDATA1, 3:x
//	        +-llll-llll--	PFC.PDCRL1.BIT.PD8MD	= 0;	// *0:PD8, 1:D8, 2:AUDATA0, 3:x
//	          +lll-llll--	PFC.PDCRL1.BIT.PD7MD	= 0;	// *0:PD7, 1:D7, 2:x, 3:x
//	           +ll-llll--	PFC.PDCRL1.BIT.PD6MD	= 0;	// *0:PD6, 1:D6, 2:x, 3:x
//	            +l-llll--	PFC.PDCRL1.BIT.PD5MD	= 0;	// *0:PD5, 1:D5, 2:x, 3:x
//	             +-llll--	PFC.PDCRL1.BIT.PD4MD	= 0;	// *0:PD4, 1:D4, 2:x, 3:x
//	               +lll--	PFC.PDCRL1.BIT.PD3MD	= 0;	// *0:PD3, 1:D3, 2:x, 3:x
//	                +ll--	PFC.PDCRL1.BIT.PD2MD	= 0;	// *0:PD2, 1:D2, 2:x, 3:x
//	                 +l--	PFC.PDCRL1.BIT.PD1MD	= 0;	// *0:PD1, 1:D1, 2:x, 3:x
//	                  +--	PFC.PDCRL1.BIT.PD0MD	= 0;	// *0:PD0, 1:D0, 2:x, 3:x
	PFC.PDCRL2.WORD	= 0x0000;	// |[gDRg[WX^L2(ʃrbg)
//	0000 0000 0000 0000	PDCRL2	l
//	+lll-llll-llll-llll--	PFC.PDCRL2.BIT.PD15MD	= 0;	// *0:PD15, 1:D15, 2:~AUDSYNC, 3:x
//	 +ll-llll-llll-llll--	PFC.PDCRL2.BIT.PD14MD	= 0;	// *0:PD14, 1:D14, 2:AUDCK, 3:x
//	  +l-llll-llll-llll--	PFC.PDCRL2.BIT.PD13MD	= 0;	// *0:PD13, 1:D13, 2:AUDMD, 3:x
//	   +-llll-llll-llll--	PFC.PDCRL2.BIT.PD12MD	= 0;	// *0:PD12, 1:D12, 2:~AUDRST, 3:x
//	     +lll-llll-llll--	PFC.PDCRL2.BIT.PD11MD	= 0;	// *0:PD11, 1:D11, 2:AUDATA3, 3:x
//	      +ll-llll-llll--	PFC.PDCRL2.BIT.PD10MD	= 0;	// *0:PD10, 1:D10, 2:AUDATA2, 3:x
//	       +l-llll-llll--	PFC.PDCRL2.BIT.PD9MD	= 0;	// *0:PD9, 1:D9, 2:AUDATA1, 3:x
//	        +-llll-llll--	PFC.PDCRL2.BIT.PD8MD	= 0;	// *0:PD8, 1:D8, 2:AUDATA0, 3:x
//	          +lll-llll--	PFC.PDCRL2.BIT.PD7MD	= 0;	// *0:PD7, 1:D7, 2:x, 3:x
//	           +ll-llll--	PFC.PDCRL2.BIT.PD6MD	= 0;	// *0:PD6, 1:D6, 2:x, 3:x
//	            +l-llll--	PFC.PDCRL2.BIT.PD5MD	= 0;	// *0:PD5, 1:D5, 2:x, 3:x
//	             +-llll--	PFC.PDCRL2.BIT.PD4MD	= 0;	// *0:PD4, 1:D4, 2:x, 3:x
//	               +lll--	PFC.PDCRL2.BIT.PD3MD	= 0;	// *0:PD3, 1:D3, 2:x, 3:x
//	                +ll--	PFC.PDCRL2.BIT.PD2MD	= 0;	// *0:PD2, 1:D2, 2:x, 3:x
//	                 +l--	PFC.PDCRL2.BIT.PD1MD	= 0;	// *0:PD1, 1:D1, 2:x, 3:x
//	                  +--	PFC.PDCRL2.BIT.PD0MD	= 0;	// *0:PD0, 1:D0, 2:x, 3:x
#endif	//CPU==7144
//	PFC.PECR1.WORD	= 0x0000;	// |[gERg[WX^1								ORG
	PFC.PECRL1.WORD	= 0x0000;	// |[gERg[WX^L1
//	0000 0000 0000 0000	PECRL1	l
//	++ll-ll-l--l-l--l-l--	PFC.PECR1.BIT.PE15MD	= 0;	// *0:PE15, 1:TIOC4D, 2,DACK1, 3:~IRQOUT
//	  ++-ll-l--l-l--l-l--	PFC.PECR1.BIT.PE14MD	= 0;	// *0:PE14, 1:TIOC4C, 2,DACK0, 3:x
//	     ++-l--l-l--l-l--	PFC.PECR1.BIT.PE13MD	= 0;	// *0:PE13, 1:TIOC4B, 2,~MRES, 3:x
//	        +--l-l--l-l--	PFC.PECR1.BIT.PE12MD	= 0;	// *0:PE12, 1:TIOC4A, 2:x, 3:TXD3
//	           +-l--l-l--	PFC.PECR1.BIT.PE11MD	= 0;	// *0:PE11, 1:TIOC3D, 2:x, 3:RXD3
//	             +--l-l--	PFC.PECR1.BIT.PE10MD	= 0;	// *0:PE10, 1:TIOC3C, 2:TXD2, 3:x
//	                +-l--	PFC.PECR1.BIT.PE9MD		= 0;	// *0:PE9, 1:TIOC3B, 2,x, 3:SCK3
//	                  +--	PFC.PECR1.BIT.PE8MD		= 0;	// *0:PE8, 1:TIOC3A, 2,SCK2, 3:x
//	PFC.PECR2.WORD	= 0x0000;	// |[gERg[WX^2								ORG
#if CPU==7145
	PFC.PECRL2.WORD	= 0x0000;	// |[gERg[WX^L2
//	0000 0000 0000 0000	PECRL2	l
//	 +-l--l-l-llll-llll--	PFC.PECR2.BIT.PE7MD		= 0;	// *0:PE7, 1:TIOC2B, 2:RXD2, 3:x
//	   +--l-l-llll-llll--	PFC.PECR2.BIT.PE6MD		= 0;	// *0:PE6, 1:TIOC2A, 2:SCK3, 3:AUDATA0
//	      +-l-llll-llll--	PFC.PECR2.BIT.PE5MD		= 0;	// *0:PE5, 1:TIOC1B, 2:TXD3, 3:AUDATA1
//	        +-llll-llll--	PFC.PECR2.BIT.PE4MD		= 0;	// *0:PE4, 1:TIOC1A, 2:RXD3, 3:AUDATA2
//	          ++ll-llll--	PFC.PECR2.BIT.PE3MD		= 0;	// *0:PE3, 1:TIOC0D, 2:DRAK1, 3:AUDATA3
//	            ++-llll--	PFC.PECR2.BIT.PE2MD		= 0;	// *0:PE2, 1:TIOC0C, 2:~DREQ1, 3:~AUDRST
//	               ++ll--	PFC.PECR2.BIT.PE1MD		= 0;	// *0:PE1, 1:TIOC0B, 2:DRAK0, 3:AUDMD
//	                 ++--	PFC.PECR2.BIT.PE0MD		= 0;	// *0:PE0, 1:TIOC0A, 2:~DREQ0, 3:AUDCK
#else //CPU==7144
	PFC.PECRL2.WORD	= 0x0000;	// |[gERg[WX^L2
//	0000 0000 0000 0000	PECRL2	l
//	 +-l--l-l-llll-llll--	PFC.PECR2.BIT.PE7MD		= 0;	// *0:PE7, 1:TIOC2B, 2:RXD2, 3:x
//	   +--l-l-llll-llll--	PFC.PECR2.BIT.PE6MD		= 0;	// *0:PE6, 1:TIOC2A, 2:SCK3, 3:x
//	      +-l-llll-llll--	PFC.PECR2.BIT.PE5MD		= 0;	// *0:PE5, 1:TIOC1B, 2:TXD3, 3:x
//	        +-llll-llll--	PFC.PECR2.BIT.PE4MD		= 0;	// *0:PE4, 1:TIOC1A, 2:RXD3, 3:x
//	          ++ll-llll--	PFC.PECR2.BIT.PE3MD		= 0;	// *0:PE3, 1:TIOC0D, 2:DRAK1, 3:x
//	            ++-llll--	PFC.PECR2.BIT.PE2MD		= 0;	// *0:PE2, 1:TIOC0C, 2:~DREQ1, 3:x
//	               ++ll--	PFC.PECR2.BIT.PE1MD		= 0;	// *0:PE1, 1:TIOC0B, 2:DRAK0, 3:x
//	                 ++--	PFC.PECR2.BIT.PE0MD		= 0;	// *0:PE0, 1:TIOC0A, 2:~DREQ0, 3:x
#endif	//CPU==7144
#if CPU==7145
	PFC.PPCR.BYTE	= 0x00;		// d|[gRg[WX^
//	          0000 0000	PPCR	l
//	                  +--	PFC.PPCR.BIT.MZIZE		= 0;	// *0:EN high impedance, 1:DISE high impedance
#endif	//CPU==7145

#else	//MCU MODE2
///////////////////////////////////////////////////////////////////////////////////////////////////////
//			MCU MODE2(ROM+ORAM 4M16bit)
//			DSW1:ON  DSW2:OFF
///////////////////////////////////////////////////////////////////////////////////////////////////////
	//--------------------------------------
	// oXXe[gRg[
	//--------------------------------------
	BSC.BCR1.WORD	= 0x2000;	// oXRg[WX^1	MTURWE=EN
//	0010 0000 0000 1111	BCR1	l
//	  +-------llll-llll--	BSC.BCR1.BIT.MTURWE		= 1;	// MTUWX^ANZX 0:֎~, *1:
//	          +lll-llll--	BSC.BCR1.BIT.A3LG		= 0;	// *0:~CS3 A3SZQ, 1:~CS3 32bit
//	           +ll-llll--	BSC.BCR1.BIT.A2LG		= 0;	// *0:~CS2 A2SZQ, 1:~CS2 32bit
//	            +l-llll--	BSC.BCR1.BIT.A1LG		= 0;	// *0:~CS1 A1SZQ, 1:~CS1 32bit
//	             +-llll--	BSC.BCR1.BIT.A0LG		= 0;	// *0:~CS0 A0SZQ, 1:~CS0 32bit
//	               +lll--	BSC.BCR1.BIT.A3SZ		= 0;	// 0:~CS3 8bit, *1:~CS3 16bit
//	                +ll--	BSC.BCR1.BIT.A2SZ		= 0;	// 0:~CS2 8bit, *1:~CS2 16bit
//	                 +l--	BSC.BCR1.BIT.A1SZ		= 1;	// 0:~CS1 8bit, *1:~CS1 16bit
//	                  +--	BSC.BCR1.BIT.A0SZ		= 0;	// 0:~CS0 8bit, *1:~CS0 16bit
	BSC.BCR2.WORD	= 0x0000;	// oXRg[WX^2
//	1111 1111 1111 1111	BCR2	l
//	++ll-llll-llll-llll--	BSC.BCR2.BIT.IW3		= 0;	// ~CS3ANZXAChTCN 0`*3
//	  ++-llll-llll-llll--	BSC.BCR2.BIT.IW2		= 0;	// ~CS2ANZXAChTCN 0`*3
//	     ++ll-llll-llll--	BSC.BCR2.BIT.IW1		= 0;	// ~CS1ANZXAChTCN 0`*3
//	       ++-llll-llll--	BSC.BCR2.BIT.IW0		= 0;	// ~CS0ANZXAChTCN 0`*3
//	          +lll-llll--	BSC.BCR2.BIT.CW3		= 0;	// ~CS3AANZXAChTCN 0`*1
//	           +ll-llll--	BSC.BCR2.BIT.CW2		= 0;	// ~CS2AANZXAChTCN 0`*1
//	            +l-llll--	BSC.BCR2.BIT.CW1		= 0;	// ~CS1AANZXAChTCN 0`*1
//	             +-llll--	BSC.BCR2.BIT.CW0		= 0;	// ~CS0AANZXAChTCN 0`*1
//	               +lll--	BSC.BCR2.BIT.SW3		= 0;	// ~CS3AT[gg 0:Ȃ, *1:
//	                +ll--	BSC.BCR2.BIT.SW2		= 0;	// ~CS2AT[gg 0:Ȃ, *1:
//	                 +l--	BSC.BCR2.BIT.SW1		= 0;	// ~CS1AT[gg 0:Ȃ, *1:
//	                  +--	BSC.BCR2.BIT.SW0		= 0;	// ~CS0AT[gg 0:Ȃ, *1:
	BSC.WCR1.WORD	= 0x0020;	// EFCgRg[WX^1
//	1111 1111 1111 1111	WCR1	l
//	++++-llll-llll-llll--	BSC.WCR1.BIT.W3			= 0;	// ~CS3ANZXEFCg 0`*15
//	     ++++-llll-llll--	BSC.WCR1.BIT.W2			= 0;	// ~CS2ANZXEFCg 0`*15
//	          ++++-llll--	BSC.WCR1.BIT.W1			= 2;	// ~CS1ANZXEFCg 0`*15
//	               ++++--	BSC.WCR1.BIT.W0			= 0;	// ~CS0ANZXEFCg 0`*15
	BSC.WCR2.WORD	= 0x000F;	// EFCgRg[WX^2
//	0000 0000 0000 1111	WCR2	l
//	               ++++--	BSC.WCR2.BIT.DSW		= 0;	// DMAVOAhX[hANZXEFCg 0`*15
	//--------------------------------------
	// st@NVRg[
	//--------------------------------------
#if CPU==7145
	PFC.PACRH.WORD	= 0x0000;	// |[gARg[WX^H
//	0000 0000 0000 0000	PACRH	l
//	 +-l--l-l-llll--lll--	PFC.PACRH.BIT.PA23MD	= 0;	// *0:PA23, 1:~WRHH
//	   +--l-l-llll--lll--	PFC.PACRH.BIT.PA22MD	= 0;	// *0:PA22, 1:~WRHL
//	      +-l-llll--lll--	PFC.PACRH.BIT.PA21MD	= 0;	// *0:PA21, 1:~CAS5
//	        +-llll--lll--	PFC.PACRH.BIT.PA20MD	= 0;	// *0:PA20, 1:~CAS4
//	          ++ll--lll--	PFC.PACRH.BIT.PA19MD	= 0;	// *0:PA19, 1:~BACK, 2:~DRAK1, 3:x
//	            ++--lll--	PFC.PACRH.BIT.PA18MD	= 0;	// *0:PA18, 1:~BREQ, 2:~DRAK0, 3:x
//	                +ll--	PFC.PACRH.BIT.PA17MD	= 0;	// *0:PA17, 1:~WAIT
//	                 ++--	PFC.PACRH.BIT.PA16MD	= 0;	// *0:PA16, 1:x, 2:x, 3:~AUDSYNC
#endif
	PFC.PACRL1.WORD	= 0x1540;	// |[gARg[WX^L1
//	0000 0000 0000 0000	PACRL1	l
//	 +-l--l-l--l-l-llll--	PFC.PACRL1.BIT.PA15MD	= 0;	// *0:PA15, 1:CK
//	   +--l-l--l-l-llll--	PFC.PACRL1.BIT.PA14MD	= 1;	// *0:PA14, 1:~RD
//	      +-l--l-l-llll--	PFC.PACRL1.BIT.PA13MD	= 1;	// *0:PA13, 1:~WRH
//	        +--l-l-llll--	PFC.PACRL1.BIT.PA12MD	= 1;	// *0:PA12, 1:~WRL
//	           +-l-llll--	PFC.PACRL1.BIT.PA11MD	= 1;	// *0:PA11, 1:~CS1
//	             +-llll--	PFC.PACRL1.BIT.PA10MD	= 0;	// *0:PA10, 1:~CS0
//	               ++ll--	PFC.PACRL1.BIT.PA9MD	= 0;	// *0:PA9, 1:TCLKD, 2:~IRQ3, 3:x
//	                 ++--	PFC.PACRL1.BIT.PA8MD	= 0;	// *0:PA8, 1:TCLKC, 2:~IRQ2, 3:x
	PFC.PACRL2.WORD	= 0x0145;	// |[gARg[WX^L2	SCI0,SCI1 EN
//	0000 0000 0000 0000	PACRL2	l
//	++ll-ll-l--lll--l-l--	PFC.PACRL2.BIT.PA7MD	= 0;	// *0:PA7, 1:TCLKB, 2:~CS3, 3:x
//	  ++-ll-l--lll--l-l--	PFC.PACRL2.BIT.PA6MD	= 0;	// *0:PA6, 1:TCLKA, 2:~CS2, 3:x
//	     ++-l--lll--l-l--	PFC.PACRL2.BIT.PA5MD	= 0;	// *0:PA5, 1:SCK1, 2:~DREQ1, 3:~IRQ1
//	        +--lll--l-l--	PFC.PACRL2.BIT.PA4MD	= 1;	// *0:PA4, 1:TXD1
//	           +ll--l-l--	PFC.PACRL2.BIT.PA3MD	= 1;	// *0:PA3, 1:RXD1
//	            ++--l-l--	PFC.PACRL2.BIT.PA2MD	= 0;	// *0:PA2, 1:SCK0, 2:~DREQ0, 3:~IRQ0
//	                +-l--	PFC.PACRL2.BIT.PA1MD	= 1;	// *0:PA1, 1:TXD0
//	                  +--	PFC.PACRL2.BIT.PA0MD	= 1;	// *0:PA0, 1:RXD0
	PFC.PBCR1.WORD	= 0x0000;	// |[gBRg[WX^1
//	0000 0000 0000 0000	PBCR1	l
//	     +l--------llll--	PFC.PBCR1.BIT.PB3MD		= 0;	//	}XNROMŃIvV
//	      +--------llll--	PFC.PBCR1.BIT.PB2MD		= 0;	//	}XNROMŃIvV
//	               ++ll--	PFC.PBCR1.BIT.PB9MD		= 0;	// *0:PB9, 1:~IRQ7, 2:A21, 3:~ADTRG
//	                 ++--	PFC.PBCR1.BIT.PB8MD		= 0;	// *0:PB8, 1:~IRQ6, 2;A20, 3:~WAIT
	PFC.PBCR2.WORD	= 0x3005;	// |[gBRg[WX^2
//	0000 0000 0000 0000	PBCR2	l
//	++ll-llll-llll--l-l--	PFC.PBCR2.BIT.PB7MD		= 0;	// *0:PB7, 1:~IRQ5, 2:A19, 3:~BREQ
//	  ++-llll-llll--l-l--	PFC.PBCR2.BIT.PB6MD		= 2;	// *0:PB6, 1:~IRQ4, 2:A18, 3:~BACK
//	     ++ll-llll--l-l--	PFC.PBCR2.BIT.PB5MD		= 0;	// *0:PB5, 1:~IRQ3, 2:~POE3, 3:~CS7
//	       ++-llll--l-l--	PFC.PBCR2.BIT.PB4MD		= 0;	// *0:PB4, 1:~IRQ2, 2:~POE2, 3:~CS6
//	          ++ll--l-l--	PFC.PBCR2.BIT.PB3MD		= 0;	// *0:PB3, 1:~IRQ1, 2:~POE1, 3:x, 4:SDA0, 5:x, 6:x, 7:x
//	            ++--l-l--	PFC.PBCR2.BIT.PB2MD		= 0;	// *0:PB2, 1:~IRQ0, 2:~POE0, 3:x, 4:SCL0, 5:x, 6:x, 7:x
//	                +-l--	PFC.PBCR2.BIT.PB1MD		= 1;	// *0:PB1, 1:A17
//	                  +--	PFC.PBCR2.BIT.PB0MD		= 1;	// *0:PB0, 1:A16
	PFC.PCCR.WORD	= 0xFFFF;	// |[gCRg[WX^
//	0000 0000 0000 0000	PCCR	l
//	+lll-llll-llll-llll--	PFC.PCCR.BIT.PC15MD		= 1;	// *0:PC15, 1:A15
//	 +ll-llll-llll-llll--	PFC.PCCR.BIT.PC14MD		= 1;	// *0:PC14, 1:A14
//	  +l-llll-llll-llll--	PFC.PCCR.BIT.PC13MD		= 1;	// *0:PC13, 1:A13
//	   +-llll-llll-llll--	PFC.PCCR.BIT.PC12MD		= 1;	// *0:PC12, 1:A12
//	     +lll-llll-llll--	PFC.PCCR.BIT.PC11MD		= 1;	// *0:PC11, 1:A11
//	      +ll-llll-llll--	PFC.PCCR.BIT.PC10MD		= 1;	// *0:PC10, 1:A10
//	       +l-llll-llll--	PFC.PCCR.BIT.PC9MD		= 1;	// *0:PC9, 1:A9
//	        +-llll-llll--	PFC.PCCR.BIT.PC8MD		= 1;	// *0:PC8, 1:A8
//	          +lll-llll--	PFC.PCCR.BIT.PC7MD		= 1;	// *0:PC7, 1:A7
//	           +ll-llll--	PFC.PCCR.BIT.PC6MD		= 1;	// *0:PC6, 1:A6
//	            +l-llll--	PFC.PCCR.BIT.PC5MD		= 1;	// *0:PC5, 1:A5
//	             +-llll--	PFC.PCCR.BIT.PC4MD		= 1;	// *0:PC4, 1:A4
//	               +lll--	PFC.PCCR.BIT.PC3MD		= 1;	// *0:PC3, 1:A3
//	                +ll--	PFC.PCCR.BIT.PC2MD		= 1;	// *0:PC2, 1:A2
//	                 +l--	PFC.PCCR.BIT.PC1MD		= 1;	// *0:PC1, 1:A1
//	                  +--	PFC.PCCR.BIT.PC0MD		= 1;	// *0:PC0, 1:A0
#if CPU==7145
	PFC.PDCRH1.WORD	= 0x0000;	// |[gDRg[WX^H1
//	0000 0000 0000 0000	PDCRH1	l
//	++ll-llll-llll-llll--	PFC.PDCRH1.BIT.PD31MD	= 0;	// *0:PD31, 1:D31, 2:~ADTRG, 3:x
//	  ++-llll-llll-llll--	PFC.PDCRH1.BIT.PD30MD	= 0;	// *0:PD30, 1:D30, 2:~IRQOUT, 3:x
//	     ++ll-llll-llll--	PFC.PDCRH1.BIT.PD29MD	= 0;	// *0:PD29, 1:D29, 2;~CS3, 3:x
//	       ++-llll-llll--	PFC.PDCRH1.BIT.PD28MD	= 0;	// *0:PD28, 1:D28, 2:~CS2, 3:x
//	          ++ll-llll--	PFC.PDCRH1.BIT.PD27MD	= 0;	// *0:PD27, 1:D27, 2:DACK1, 3:x
//	            ++-llll--	PFC.PDCRH1.BIT.PD26MD	= 0;	// *0:PD26, 1:D26, 2:DACK0, 3:x
//	               ++ll--	PFC.PDCRH1.BIT.PD25MD	= 0;	// *0:PD25, 1:D25, 2:~DREQ1, 3:x
//	                 ++--	PFC.PDCRH1.BIT.PD24MD	= 0;	// *0:PD24, 1:D24, 2:~DREQ0, 3:x
	PFC.PDCRH2.WORD	= 0x0000;	// |[gDRg[WX^H2
//	0000 0000 0000 0000	PDCRH2	l
//	++ll-llll-llll-llll--	PFC.PDCRH2.BIT.PD23MD	= 0;	// *0:PD23, 1:D23, 2:~IRQ7, 3:~AUDSYNC
//	  ++-llll-llll-llll--	PFC.PDCRH2.BIT.PD22MD	= 0;	// *0:PD22, 1:D22, 2:~IRQ6, 3:AUDCK
//	     ++ll-llll-llll--	PFC.PDCRH2.BIT.PD21MD	= 0;	// *0:PD21, 1:D21, 2:~IRQ5, 3:AUDMD
//	       ++-llll-llll--	PFC.PDCRH2.BIT.PD20MD	= 0;	// *0:PD20, 1:D20, 2:~IRQ4, 3:~AUDRST
//	          ++ll-llll--	PFC.PDCRH2.BIT.PD19MD	= 0;	// *0:PD19, 1:D19, 2:~IRQ3, 3:AUDATA3
//	            ++-llll--	PFC.PDCRH2.BIT.PD18MD	= 0;	// *0:PD18, 1:D18, 2:~IRQ2, 3:AUDATA2
//	               ++ll--	PFC.PDCRH2.BIT.PD17MD	= 0;	// *0:PD17, 1:D17, 2:~IRQ1, 3:AUDATA1
//	                 ++--	PFC.PDCRH2.BIT.PD16MD	= 0;	// *0:PD16, 1:D16, 2:~IRQ0, 3:AUDATA0
	PFC.PDCRL1.WORD	= 0xFFFF;	// |[gDRg[WX^L1(ʃrbg)
//	0000 0000 0000 0000	PDCRL1	l
//	+lll-llll-llll-llll--	PFC.PDCRL1.BIT.PD15MD	= 1;	// *0:PD15, 1:D15, 2:x, 3:x
//	 +ll-llll-llll-llll--	PFC.PDCRL1.BIT.PD14MD	= 1;	// *0:PD14, 1:D14, 2:x, 3:x
//	  +l-llll-llll-llll--	PFC.PDCRL1.BIT.PD13MD	= 1;	// *0:PD13, 1:D13, 2:x, 3:x
//	   +-llll-llll-llll--	PFC.PDCRL1.BIT.PD12MD	= 1;	// *0:PD12, 1:D12, 2:x, 3:x
//	     +lll-llll-llll--	PFC.PDCRL1.BIT.PD11MD	= 1;	// *0:PD11, 1:D11, 2:x, 3:x
//	      +ll-llll-llll--	PFC.PDCRL1.BIT.PD10MD	= 1;	// *0:PD10, 1:D10, 2:x, 3:x
//	       +l-llll-llll--	PFC.PDCRL1.BIT.PD9MD	= 1;	// *0:PD9, 1:D9, 2:x, 3:x
//	        +-llll-llll--	PFC.PDCRL1.BIT.PD8MD	= 1;	// *0:PD8, 1:D8, 2:x, 3:x
//	          +lll-llll--	PFC.PDCRL1.BIT.PD7MD	= 1;	// *0:PD7, 1:D7, 2:x, 3:x
//	           +ll-llll--	PFC.PDCRL1.BIT.PD6MD	= 1;	// *0:PD6, 1:D6, 2:x, 3:x
//	            +l-llll--	PFC.PDCRL1.BIT.PD5MD	= 1;	// *0:PD5, 1:D5, 2:x, 3:x
//	             +-llll--	PFC.PDCRL1.BIT.PD4MD	= 1;	// *0:PD4, 1:D4, 2:x, 3:x
//	               +lll--	PFC.PDCRL1.BIT.PD3MD	= 1;	// *0:PD3, 1:D3, 2:x, 3:x
//	                +ll--	PFC.PDCRL1.BIT.PD2MD	= 1;	// *0:PD2, 1:D2, 2:x, 3:x
//	                 +l--	PFC.PDCRL1.BIT.PD1MD	= 1;	// *0:PD1, 1:D1, 2:x, 3:x
//	                  +--	PFC.PDCRL1.BIT.PD0MD	= 1;	// *0:PD0, 1:D0, 2:x, 3:x
	PFC.PDCRL2.WORD	= 0x0000;	// |[gDRg[WX^L2(ʃrbg)
//	0000 0000 0000 0000	PDCRL2	l
//	+lll-llll-llll-llll--	PFC.PDCRL2.BIT.PD15MD	= 0;	// *0:PD15, 1:D15, 2:x, 3:x
//	 +ll-llll-llll-llll--	PFC.PDCRL2.BIT.PD14MD	= 0;	// *0:PD14, 1:D14, 2:x, 3:x
//	  +l-llll-llll-llll--	PFC.PDCRL2.BIT.PD13MD	= 0;	// *0:PD13, 1:D13, 2:x, 3:x
//	   +-llll-llll-llll--	PFC.PDCRL2.BIT.PD12MD	= 0;	// *0:PD12, 1:D12, 2:x, 3:x
//	     +lll-llll-llll--	PFC.PDCRL2.BIT.PD11MD	= 0;	// *0:PD11, 1:D11, 2:x, 3:x
//	      +ll-llll-llll--	PFC.PDCRL2.BIT.PD10MD	= 0;	// *0:PD10, 1:D10, 2:x, 3:x
//	       +l-llll-llll--	PFC.PDCRL2.BIT.PD9MD	= 0;	// *0:PD9, 1:D9, 2:x, 3:x
//	        +-llll-llll--	PFC.PDCRL2.BIT.PD8MD	= 0;	// *0:PD8, 1:D8, 2:x, 3:x
//	          +lll-llll--	PFC.PDCRL2.BIT.PD7MD	= 0;	// *0:PD7, 1:D7, 2:x, 3:x
//	           +ll-llll--	PFC.PDCRL2.BIT.PD6MD	= 0;	// *0:PD6, 1:D6, 2:x, 3:x
//	            +l-llll--	PFC.PDCRL2.BIT.PD5MD	= 0;	// *0:PD5, 1:D5, 2:x, 3:x
//	             +-llll--	PFC.PDCRL2.BIT.PD4MD	= 0;	// *0:PD4, 1:D4, 2:x, 3:x
//	               +lll--	PFC.PDCRL2.BIT.PD3MD	= 0;	// *0:PD3, 1:D3, 2:x, 3:x
//	                +ll--	PFC.PDCRL2.BIT.PD2MD	= 0;	// *0:PD2, 1:D2, 2:x, 3:x
//	                 +l--	PFC.PDCRL2.BIT.PD1MD	= 0;	// *0:PD1, 1:D1, 2:x, 3:x
//	                  +--	PFC.PDCRL2.BIT.PD0MD	= 0;	// *0:PD0, 1:D0, 2:x, 3:x
#else	//CPU==7144
	PFC.PDCRL1.WORD	= 0xFFFF;	// |[gDRg[WX^L1(ʃrbg)
//	0000 0000 0000 0000	PDCRL1	l
//	+lll-llll-llll-llll--	PFC.PDCRL1.BIT.PD15MD	= 1;	// *0:PD15, 1:D15, 2:~AUDSYNC, 3:x
//	 +ll-llll-llll-llll--	PFC.PDCRL1.BIT.PD14MD	= 1;	// *0:PD14, 1:D14, 2:AUDCK, 3:x
//	  +l-llll-llll-llll--	PFC.PDCRL1.BIT.PD13MD	= 1;	// *0:PD13, 1:D13, 2:AUDMD, 3:x
//	   +-llll-llll-llll--	PFC.PDCRL1.BIT.PD12MD	= 1;	// *0:PD12, 1:D12, 2:~AUDRST, 3:x
//	     +lll-llll-llll--	PFC.PDCRL1.BIT.PD11MD	= 1;	// *0:PD11, 1:D11, 2:AUDATA3, 3:x
//	      +ll-llll-llll--	PFC.PDCRL1.BIT.PD10MD	= 1;	// *0:PD10, 1:D10, 2:AUDATA2, 3:x
//	       +l-llll-llll--	PFC.PDCRL1.BIT.PD9MD	= 1;	// *0:PD9, 1:D9, 2:AUDATA1, 3:x
//	        +-llll-llll--	PFC.PDCRL1.BIT.PD8MD	= 1;	// *0:PD8, 1:D8, 2:AUDATA0, 3:x
//	          +lll-llll--	PFC.PDCRL1.BIT.PD7MD	= 1;	// *0:PD7, 1:D7, 2:x, 3:x
//	           +ll-llll--	PFC.PDCRL1.BIT.PD6MD	= 1;	// *0:PD6, 1:D6, 2:x, 3:x
//	            +l-llll--	PFC.PDCRL1.BIT.PD5MD	= 1;	// *0:PD5, 1:D5, 2:x, 3:x
//	             +-llll--	PFC.PDCRL1.BIT.PD4MD	= 1;	// *0:PD4, 1:D4, 2:x, 3:x
//	               +lll--	PFC.PDCRL1.BIT.PD3MD	= 1;	// *0:PD3, 1:D3, 2:x, 3:x
//	                +ll--	PFC.PDCRL1.BIT.PD2MD	= 1;	// *0:PD2, 1:D2, 2:x, 3:x
//	                 +l--	PFC.PDCRL1.BIT.PD1MD	= 1;	// *0:PD1, 1:D1, 2:x, 3:x
//	                  +--	PFC.PDCRL1.BIT.PD0MD	= 1;	// *0:PD0, 1:D0, 2:x, 3:x
	PFC.PDCRL2.WORD	= 0x0000;	// |[gDRg[WX^L2(ʃrbg)
//	0000 0000 0000 0000	PDCRL2	l
//	+lll-llll-llll-llll--	PFC.PDCRL2.BIT.PD15MD	= 0;	// *0:PD15, 1:D15, 2:~AUDSYNC, 3:x
//	 +ll-llll-llll-llll--	PFC.PDCRL2.BIT.PD14MD	= 0;	// *0:PD14, 1:D14, 2:AUDCK, 3:x
//	  +l-llll-llll-llll--	PFC.PDCRL2.BIT.PD13MD	= 0;	// *0:PD13, 1:D13, 2:AUDMD, 3:x
//	   +-llll-llll-llll--	PFC.PDCRL2.BIT.PD12MD	= 0;	// *0:PD12, 1:D12, 2:~AUDRST, 3:x
//	     +lll-llll-llll--	PFC.PDCRL2.BIT.PD11MD	= 0;	// *0:PD11, 1:D11, 2:AUDATA3, 3:x
//	      +ll-llll-llll--	PFC.PDCRL2.BIT.PD10MD	= 0;	// *0:PD10, 1:D10, 2:AUDATA2, 3:x
//	       +l-llll-llll--	PFC.PDCRL2.BIT.PD9MD	= 0;	// *0:PD9, 1:D9, 2:AUDATA1, 3:x
//	        +-llll-llll--	PFC.PDCRL2.BIT.PD8MD	= 0;	// *0:PD8, 1:D8, 2:AUDATA0, 3:x
//	          +lll-llll--	PFC.PDCRL2.BIT.PD7MD	= 0;	// *0:PD7, 1:D7, 2:x, 3:x
//	           +ll-llll--	PFC.PDCRL2.BIT.PD6MD	= 0;	// *0:PD6, 1:D6, 2:x, 3:x
//	            +l-llll--	PFC.PDCRL2.BIT.PD5MD	= 0;	// *0:PD5, 1:D5, 2:x, 3:x
//	             +-llll--	PFC.PDCRL2.BIT.PD4MD	= 0;	// *0:PD4, 1:D4, 2:x, 3:x
//	               +lll--	PFC.PDCRL2.BIT.PD3MD	= 0;	// *0:PD3, 1:D3, 2:x, 3:x
//	                +ll--	PFC.PDCRL2.BIT.PD2MD	= 0;	// *0:PD2, 1:D2, 2:x, 3:x
//	                 +l--	PFC.PDCRL2.BIT.PD1MD	= 0;	// *0:PD1, 1:D1, 2:x, 3:x
//	                  +--	PFC.PDCRL2.BIT.PD0MD	= 0;	// *0:PD0, 1:D0, 2:x, 3:x
#endif	//PDCRL 7144
	PFC.PECRL1.WORD	= 0x0000;	// |[gERg[WX^L1
//	0000 0000 0000 0000	PECRL1	l
//	++ll-ll-l--l-l--l-l--	PFC.PECR1.BIT.PE15MD	= 0;	// *0:PE15, 1:TIOC4D, 2,DACK1, 3:~IRQOUT
//	  ++-ll-l--l-l--l-l--	PFC.PECR1.BIT.PE14MD	= 0;	// *0:PE14, 1:TIOC4C, 2,DACK0, 3:x
//	     ++-l--l-l--l-l--	PFC.PECR1.BIT.PE13MD	= 0;	// *0:PE13, 1:TIOC4B, 2,~MRES, 3:x
//	        +--l-l--l-l--	PFC.PECR1.BIT.PE12MD	= 0;	// *0:PE12, 1:TIOC4A, 2:x, 3:TXD3
//	           +-l--l-l--	PFC.PECR1.BIT.PE11MD	= 0;	// *0:PE11, 1:TIOC3D, 2:x, 3:RXD3
//	             +--l-l--	PFC.PECR1.BIT.PE10MD	= 0;	// *0:PE10, 1:TIOC3C, 2:TXD2, 3:x
//	                +-l--	PFC.PECR1.BIT.PE9MD		= 0;	// *0:PE9, 1:TIOC3B, 2,x, 3:SCK3
//	                  +--	PFC.PECR1.BIT.PE8MD		= 0;	// *0:PE8, 1:TIOC3A, 2,SCK2, 3:x
#if CPU==7145
	PFC.PECRL2.WORD	= 0x0000;	// |[gERg[WX^L2
//	0000 0000 0000 0000	PECRL2	l
//	 +-l--l-l-llll-llll--	PFC.PECR2.BIT.PE7MD		= 0;	// *0:PE7, 1:TIOC2B, 2:RXD2, 3:x
//	   +--l-l-llll-llll--	PFC.PECR2.BIT.PE6MD		= 0;	// *0:PE6, 1:TIOC2A, 2:SCK3, 3:AUDATA0
//	      +-l-llll-llll--	PFC.PECR2.BIT.PE5MD		= 0;	// *0:PE5, 1:TIOC1B, 2:TXD3, 3:AUDATA1
//	        +-llll-llll--	PFC.PECR2.BIT.PE4MD		= 0;	// *0:PE4, 1:TIOC1A, 2:RXD3, 3:AUDATA2
//	          ++ll-llll--	PFC.PECR2.BIT.PE3MD		= 0;	// *0:PE3, 1:TIOC0D, 2:DRAK1, 3:AUDATA3
//	            ++-llll--	PFC.PECR2.BIT.PE2MD		= 0;	// *0:PE2, 1:TIOC0C, 2:~DREQ1, 3:~AUDRST
//	               ++ll--	PFC.PECR2.BIT.PE1MD		= 0;	// *0:PE1, 1:TIOC0B, 2:DRAK0, 3:AUDMD
//	                 ++--	PFC.PECR2.BIT.PE0MD		= 0;	// *0:PE0, 1:TIOC0A, 2:~DREQ0, 3:AUDCK
#else //CPU==7144
	PFC.PECRL2.WORD	= 0x0000;	// |[gERg[WX^L2
//	0000 0000 0000 0000	PECRL2	l
//	 +-l--l-l-llll-llll--	PFC.PECR2.BIT.PE7MD		= 0;	// *0:PE7, 1:TIOC2B, 2:RXD2, 3:x
//	   +--l-l-llll-llll--	PFC.PECR2.BIT.PE6MD		= 0;	// *0:PE6, 1:TIOC2A, 2:SCK3, 3:x
//	      +-l-llll-llll--	PFC.PECR2.BIT.PE5MD		= 0;	// *0:PE5, 1:TIOC1B, 2:TXD3, 3:x
//	        +-llll-llll--	PFC.PECR2.BIT.PE4MD		= 0;	// *0:PE4, 1:TIOC1A, 2:RXD3, 3:x
//	          ++ll-llll--	PFC.PECR2.BIT.PE3MD		= 0;	// *0:PE3, 1:TIOC0D, 2:DRAK1, 3:x
//	            ++-llll--	PFC.PECR2.BIT.PE2MD		= 0;	// *0:PE2, 1:TIOC0C, 2:~DREQ1, 3:x
//	               ++ll--	PFC.PECR2.BIT.PE1MD		= 0;	// *0:PE1, 1:TIOC0B, 2:DRAK0, 3:x
//	                 ++--	PFC.PECR2.BIT.PE0MD		= 0;	// *0:PE0, 1:TIOC0A, 2:~DREQ0, 3:x
#endif	//CPU==7144
#if CPU==7145
	PFC.PPCR.BYTE	= 0x00;		// d|[gRg[WX^
//	          0000 0000	PPCR	l
//	                  +--	PFC.PPCR.BIT.MZIZE		= 0;	// *0:EN high impedance, 1:DISE high impedance
#endif	//CPU==7145

#endif	//MODE2
}
